package com.ylx.massage.domain;


import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 项目亮点(THighlights)表实体类
 *
 * @author makejava
 * @since 2024-04-02 11:10:35
 */
@SuppressWarnings("serial")
@Data
@ApiModel(value = "THighlights", description = "项目亮点")
public class THighlights extends Model<THighlights> {
    //主键

    @ApiModelProperty("主键")
    private String cId;
    //描述
    @ApiModelProperty("描述")
    private String cDescribe;
    //创建时间
    private Date createTime;
    //修改时间
    private Date updateTime;

    @ApiModelProperty("是否删除0否1是")
    @TableLogic
    private Integer isDelete;

    public String getCId() {
        return cId;
    }

    public void setCId(String cId) {
        this.cId = cId;
    }

    public String getCDescribe() {
        return cDescribe;
    }

    public void setCDescribe(String cDescribe) {
        this.cDescribe = cDescribe;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    public Serializable pkVal() {
        return this.cId;
    }
}

